# AppCallbackAlphaGrpc.AppCallbackAlphaImplBase (dapr-sdk-parent 1.10.0 API)

Package io.dapr.v1

## Class AppCallbackAlphaGrpc.AppCallbackAlphaImplBase

- java.lang.Object
- - io.dapr.v1.AppCallbackAlphaGrpc.AppCallbackAlphaImplBase

All Implemented Interfaces:
  `io.grpc.BindableService`

Enclosing class:
  AppCallbackAlphaGrpc

    public abstract static class AppCallbackAlphaGrpc.AppCallbackAlphaImplBase
    extends Object
    implements io.grpc.BindableService

     AppCallbackAlpha V1 is an optional extension to AppCallback V1 to opt
     for Alpha RPCs.

### Constructor Summary

Constructors
`AppCallbackAlphaImplBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`io.grpc.ServerServiceDefinition` `bindService()`
`void` `onBulkTopicEventAlpha1​(DaprAppCallbackProtos.TopicEventBulkRequest request, io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)` Subscribes bulk events from Pubsub

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AppCallbackAlphaImplBase

    public AppCallbackAlphaImplBase()

### Method Detail

#### onBulkTopicEventAlpha1

    public void onBulkTopicEventAlpha1​(DaprAppCallbackProtos.TopicEventBulkRequest request,
                                       io.grpc.stub.StreamObserver<DaprAppCallbackProtos.TopicEventBulkResponse> responseObserver)

     Subscribes bulk events from Pubsub

#### bindService

    public final io.grpc.ServerServiceDefinition bindService()

Specified by:
  `bindService` in interface `io.grpc.BindableService`